Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class SpaceAroundOperatorRule

- groovy.org.codenarc.rule.formatting.SpaceAroundOperatorRule

- Check that there is at least one space (blank) or whitespace around each binary operator, including: +, -, *, /, >>, <<, &&, ||, &, |, ?:, =, as. Do not check dot ('.') operator. Do not check unary operators (!, +, -, ++, --, ?.). Do not check array ('[') operator. Known limitation: Does not catch violations of missing space around equals operator (=) within a declaration expression, e.g. def x=23 Known limitation: Does not catch violations of certain ternary expressions.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority